import { stoneTier, ironTier, diamondTier } from 'enums/veinMiner';
import { woodenTier } from 'enums/veinMiner';
import { traverseVein } from 'utils/veinMiner';
export function diamondTierVeinMiner(componentData) {
    const player = componentData.source;
    if (!player.isSneaking)
        return;
    const blocksToBreak = [
        ...woodenTier,
        ...stoneTier,
        ...ironTier,
        ...diamondTier
    ];
    const minedBlock = componentData.minedBlockPermutation;
    if (!blocksToBreak.includes(minedBlock.type.id))
        return;
    const block = componentData.block;
    const dimension = block.dimension;
    const enchantment = componentData.itemStack.getComponent('enchantable').getEnchantment('silk_touch');
    traverseVein(dimension, block, blocksToBreak, 9, enchantment ? true : false);
}
